# Update a Brandfolder

Updates the matching Brandfolder.

Endpoint: PUT /brandfolders/{brandfolder_id}
Version: v4
Security: APIToken

## Path parameters:

  - `brandfolder_id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgiju-21olts-ce9egi"

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Authorization` (string, required)
    Bearer token for authentication

  - `Accept` (string, required)
    Enum: "application/json"

## Request fields (application/json):

  - `data` (object, required)

  - `data.attributes` (object, required)

  - `data.attributes.name` (string)
    A new name for the Brandfolder.
    Example: "Updated Brandfolder"

  - `data.attributes.privacy` (string)
    A new privacy setting for the Brandfolder.
    Example: "public"

  - `data.attributes.slug` (string)
    A new URL-friendly slug for the Brandfolder.
    Example: "updated-brandfolder"

  - `data.attributes.tagline` (string)
    A new tagline for the brandfolder.
    Example: "Updated Brandfolder tagline!"

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.id` (string)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-hh142d"

  - `data.type` (string)
    The type of the resource.
    Enum: "brandfolders"

  - `data.attributes` (object, required)

  - `data.attributes.name` (string, required)
    The name of the Brandfolder.
    Example: "Updated Brandfolder"

  - `data.attributes.privacy` (string, required)
    The privacy setting of the Brandfolder.
    Example: "public"

  - `data.attributes.slug` (string, required)
    The URL-friendly slug of the Brandfolder.
    Example: "updated-brandfolder"

  - `data.attributes.tagline` (string, required)
    The tagline for the brandfolder.
    Example: "Updated Brandfolder tagline!"


